This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 567419 - Review Request: jps - Gant based build framework and DSL
Review Request: jps - Gant based build framework and DSL
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Michal Fojtik
Fedora Extras Quality Assurance
F13FeatureIDEA
:
Depends On:
Blocks: 565844
  Show dependency treegraph
 
Reported: 2010-02-22 17:14 EST by Lubomir Rintel
Modified: 2010-03-23 04:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-23 04:01:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mfojtik: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2010-02-22 17:14:02 EST
SPEC: http://v3.sk/~lkundrak/SPECS/jps.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/jps-0-1.20100222git.fc14.src.rpm

Description:

Gant based build framework + dsl, with declarative project structure
definition and automatic IntelliJ IDEA projects build.
Comment 1 Lubomir Rintel 2010-02-22 17:15:16 EST
Has a circular dependency with Idea (bug #565844)
Comment 2 Lubomir Rintel 2010-02-22 23:40:43 EST
Bootstrap enabled, OpenJDK used for regex library.

scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2007631
SPEC: http://v3.sk/~lkundrak/SPECS/jps.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/jps-0-1.20100222git.fc12.src.rpm
Comment 3 Michal Fojtik 2010-02-25 09:35:57 EST
* rpmlint

rpmlint shows 1 warning, but seems like this package is OK.

* Correctly named
* Correctly versioned, packing the latest version
* Source checksum correct
* SPEC file clean and legible
* American english used
* Documentation files marked correctly
* License correct and permitted in Fedora
* Builds fine in mock
Comment 4 Michal Fojtik 2010-02-25 09:51:38 EST
* Correctly versioned, packing the latest version

Oh I forgot: Version 0 ?
Comment 5 Lubomir Rintel 2010-02-25 10:00:30 EST
(In reply to comment #4)
> * Correctly versioned, packing the latest version
> 
> Oh I forgot: Version 0 ?    

Upstream does not have any stable versioning yet, so using this to warrant smooth version bump once upstream adds a version number.

Upstream was contacted about this.
Comment 6 Lubomir Rintel 2010-02-25 12:00:26 EST
(Won't import/build this until when intellij-idea is approved as well, since they are dependent on each other.)

New Package CVS Request
=======================
Package Name: jsl
Short Description: Gant based build framework and DSL
Owners: lkundrak
Branches: F-13
Comment 7 Jason Tibbitts 2010-02-25 12:55:05 EST
The bug summary and the requested package name don't seem to agree.  Not only
that, but the requested package name doesn't seem to appear anywhere else in
the ticket.  What's the proper package name?
Comment 8 Lubomir Rintel 2010-02-25 12:59:19 EST
(In reply to comment #7)
> What's the proper package name?

Uh, sorry I messed that up. The correct request:

New Package CVS Request
=======================
Package Name: jps
Short Description: Gant based build framework and DSL
Owners: lkundrak
Branches: F-13

Also: got a reply from upstream: "Let it be 0.1" regarding the next release version number. Will fix up spec upon import.
Comment 9 Jason Tibbitts 2010-02-25 13:17:48 EST
CVS done (by process-cvs-requests.py).
Comment 10 Lubomir Rintel 2010-03-23 04:01:33 EDT
Imported and built.
Thank you.

Note You need to log in before you can comment on or make changes to this bug.